import { OnInit, OnDestroy } from "@angular/core";
import { Subject, Observable, BehaviorSubject } from "rxjs";
export declare class DashboardService implements OnInit, OnDestroy {
    dashboard_sidebar: boolean;
    dashboardName: {};
    dashboardGroupId: {};
    dashboardGroupName: {};
    RegionDataSetId: {};
    dashboardDescription: {};
    pane_show: boolean;
    push_btn: boolean;
    customize: Subject<unknown>;
    dashboardRename: Subject<unknown>;
    paneData: Subject<unknown>;
    col_num: Subject<unknown>;
    alone_col: Subject<unknown>;
    full_dt: Subject<unknown>;
    chartTypeChange: Subject<unknown>;
    chartUpdate: Subject<unknown>;
    DashbordGroup: Subject<unknown>;
    portletEdit: Subject<unknown>;
    addOrdelPortlet: Subject<unknown>;
    switchLabelConfig: Subject<unknown>;
    refreshGadget: Subject<unknown>;
    startRefresh: Subject<unknown>;
    dashboardNavigate: BehaviorSubject<boolean>;
    DashboardGroupData: any[];
    shareGroup: any[];
    colorsTotal: string[];
    create_btn: Subject<unknown>;
    downloadDashboard: Subject<unknown>;
    shareUsers: {};
    irrDetail: boolean;
    enter_dashboard: boolean;
    leftMenuBar: Subject<unknown>;
    createGroupDashboard: Subject<unknown>;
    create_status: boolean;
    reportName: any;
    reportSetting: any;
    reportId: any;
    sharedOrCustomize: boolean;
    report_view: any;
    reportMode: any;
    report_generate: Subject<unknown>;
    reportSubheaderMode: Subject<unknown>;
    getTableDatasource: Subject<unknown>;
    pvtableDisplayOptionChange: Subject<unknown>;
    pvtableDisplayOptionChartChange: Subject<unknown>;
    showLegendChange: Subject<unknown>;
    markerFormat: Subject<unknown>;
    setTheme: Subject<unknown>;
    enableMultipleAxisChange: Subject<unknown>;
    routerInfo: any;
    fullScreen: any[];
    downloadTableId: any;
    isNew: boolean;
    companyList_entity: any[];
    fundList_entity: any[];
    pageLoading_: Subject<unknown>;
    selectPortfolioData: any[];
    toolbar: boolean;
    properties: Subject<unknown>;
    customized: boolean;
    tabactive: boolean;
    dataSendToFilter: Subject<unknown>;
    portletDownload: Subject<unknown>;
    tableFormat: Subject<unknown>;
    tableFilter: Subject<unknown>;
    changeDataTable: Subject<unknown>;
    changeTable: Subject<unknown>;
    changePivot: Subject<unknown>;
    changeChart: Subject<unknown>;
    changeGeo: Subject<unknown>;
    getFunsInvestee: Subject<unknown>;
    getAllInvesteeActive: Subject<unknown>;
    getDataMartActive: Subject<unknown>;
    fetchSidebar: Subject<unknown>;
    reset_btn: Subject<unknown>;
    changelayout: Subject<unknown>;
    clearSidebar: Subject<unknown>;
    tranposeFilter: Subject<unknown>;
    portletTitle: Subject<unknown>;
    updateDatamartEntity: Subject<unknown>;
    dataMartList: any[];
    createDashboard: Subject<unknown>;
    createDashboardNew: Subject<unknown>;
    changeDashboardShared: Subject<unknown>;
    clearFieldList: Subject<unknown>;
    currentAddStatus: BehaviorSubject<number>;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    changeAddStatus(type: number): void;
    getAbs(val: any): number;
    dataExists(val: any): boolean;
    getColor(i: any): string;
    getColorFromColorArr(i: any, arr: any): any;
    getPanesData(): Observable<any>;
    getStartRefresh(): Observable<unknown>;
    getSwitchConfig(): Observable<unknown>;
    getColNum(): Observable<any>;
    getAloneCol(): Observable<any>;
    getFull_dt(): Observable<any>;
    getDashbordGroup(): Observable<any>;
    getportletEdit(): Observable<any>;
    getaddportlet(): Observable<any>;
    getCustomizeStatus(): Observable<any>;
    getPushbtn(): Observable<any>;
    getDownloadDashbord(): Observable<any>;
    getLeftMenuBar(): Observable<any>;
    createGroup(): Observable<any>;
    getRefreshGadget(): Observable<unknown>;
    getGenerateStatus(): Observable<any>;
    changeSubheaderMode(): Observable<any>;
    getTablesource(): Observable<any>;
    pageLoading_obs(): Observable<any>;
    getPvtableDisplayOptionChartChange(): Observable<any>;
    getEnableMultipleAxisChange(): Observable<any>;
    getShowLegendChange(): Observable<any>;
    getMarkerFormat(): Observable<any>;
    getTheme(): Observable<any>;
    editProperties(): Observable<any>;
    getDataSendToFilter(): Observable<any>;
    getportletDownload(): Observable<any>;
    getTableFormat(): Observable<any>;
    getTableFilter(): Observable<any>;
    getchangeDataTable(): Observable<any>;
    getDashboardRename(): Observable<any>;
    getchangeTable(): Observable<any>;
    getchangePivot(): Observable<any>;
    getchangeChart(): Observable<any>;
    getchangeGeo(): Observable<any>;
    getTagsUpdate(): Observable<any>;
    getAllInvestee_(): Observable<any>;
    getDataMartActive_(): Observable<any>;
    getResetbtn(): Observable<any>;
    getchangelayout(): Observable<any>;
    getclearSidebar(): Observable<any>;
    watchTranposeFilter(): Observable<any>;
    updatePortletTitle(): Observable<any>;
    watchUpdateDatamartEntity(): Observable<any>;
    createDashboardObservable(): Observable<any>;
    createDashboardObservableNew(): Observable<any>;
    changeDashboardSharedObservable(): Observable<any>;
    clearFieldListObservable(): Observable<any>;
    getUpdated(): Observable<any>;
    dashboardNavigateObservable(): Observable<boolean>;
    getChartTypeChange(): Observable<any>;
}
